Clone connector to workspace
curl --request POST \
--url https://api.getmembrane.com/connectors/{idOrKey}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": "<string>"
}
'import requests
url = "https://api.getmembrane.com/connectors/{idOrKey}/clone"
payload = { "version": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: '<string>'})
};
fetch('https://api.getmembrane.com/connectors/{idOrKey}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/connectors/{idOrKey}/clone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/connectors/{idOrKey}/clone"
payload := strings.NewReader("{\n \"version\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmembrane.com/connectors/{idOrKey}/clone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/connectors/{idOrKey}/clone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"key": "<string>",
"uuid": "<string>",
"name": "<string>",
"logoUri": "<string>",
"version": "<string>",
"externalAppId": "<string>",
"appUri": "<string>",
"categories": [
"<string>"
],
"isPublic": true,
"popularity": 123,
"tenantId": "<string>",
"archivedAt": "<string>",
"baseUri": "<string>",
"revision": "<string>",
"dataCollectionsCount": 123,
"operationsCount": 123,
"eventsCount": 123,
"udms": [
"<string>"
],
"hasTest": true,
"hasAuthTest": true,
"hasOperations": true,
"hasData": true,
"isReadOnly": true,
"credentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"type": "integration-app-token",
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {
"type": "mapping"
},
"refreshCredentials": {
"type": "mapping"
},
"makeApiClient": {
"type": "mapping"
},
"getOAuthConfig": {
"type": "mapping"
},
"getTokenData": {
"type": "mapping"
},
"getCredentialsFromAccessTokenResponse": {
"type": "mapping"
},
"getCredentialsFromRefreshTokenResponse": {
"type": "mapping"
},
"test": {
"type": "mapping"
},
"disconnect": {
"type": "mapping"
},
"proxyKey": "<string>",
"options": {}
}Connectors
Clone connector to workspace
POST
/
connectors
/
{idOrKey}
/
clone
Clone connector to workspace
curl --request POST \
--url https://api.getmembrane.com/connectors/{idOrKey}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": "<string>"
}
'import requests
url = "https://api.getmembrane.com/connectors/{idOrKey}/clone"
payload = { "version": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: '<string>'})
};
fetch('https://api.getmembrane.com/connectors/{idOrKey}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/connectors/{idOrKey}/clone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/connectors/{idOrKey}/clone"
payload := strings.NewReader("{\n \"version\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmembrane.com/connectors/{idOrKey}/clone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/connectors/{idOrKey}/clone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"key": "<string>",
"uuid": "<string>",
"name": "<string>",
"logoUri": "<string>",
"version": "<string>",
"externalAppId": "<string>",
"appUri": "<string>",
"categories": [
"<string>"
],
"isPublic": true,
"popularity": 123,
"tenantId": "<string>",
"archivedAt": "<string>",
"baseUri": "<string>",
"revision": "<string>",
"dataCollectionsCount": 123,
"operationsCount": 123,
"eventsCount": 123,
"udms": [
"<string>"
],
"hasTest": true,
"hasAuthTest": true,
"hasOperations": true,
"hasData": true,
"isReadOnly": true,
"credentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"type": "integration-app-token",
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {
"type": "mapping"
},
"refreshCredentials": {
"type": "mapping"
},
"makeApiClient": {
"type": "mapping"
},
"getOAuthConfig": {
"type": "mapping"
},
"getTokenData": {
"type": "mapping"
},
"getCredentialsFromAccessTokenResponse": {
"type": "mapping"
},
"getCredentialsFromRefreshTokenResponse": {
"type": "mapping"
},
"test": {
"type": "mapping"
},
"disconnect": {
"type": "mapping"
},
"proxyKey": "<string>",
"options": {}
}Authorizations
Response
200 - application/json
Was this page helpful?